реклама на сайте
подробности

 
 
 
Reply to this topicStart new topic
> Установка Q17.1 на Linux
Fynjisx
сообщение May 1 2018, 14:48
Сообщение #1


студент
****

Группа: Свой
Сообщений: 571
Регистрация: 3-07-08
Из: Russia
Пользователь №: 38 712



Привет Всем!
На виртуалке стоит Linux Mint. Хочу туда поставить Q17. В связи с этим появились вопросы:
- по какому пути лучше ставить? Может завести отдельный диск?
- есть ли какие-нибудь особые моменты при установке?

PS: в оф. документации отмечается Red Hat'подобный linux и для него:
window X libraries: make, libX11.i686, libXau.i686, libXdmcp.i686,
libXext.i686, libXft-devel.i686, libXft.i686, libXrender.i686, libXt.i686, and
libXtst.i686.
— GIMP toolkit: GTK+2.
А у меня Минт, мне то что делать?


--------------------
С Уважением...
Go to the top of the page
 
+Quote Post
Doka
сообщение May 3 2018, 11:18
Сообщение #2


Electrical Engineer
******

Группа: СуперМодераторы
Сообщений: 2 131
Регистрация: 4-10-04
Пользователь №: 778



а Вам есть разница какой линукс, раз Вы на виртуалке???

я бы поставил RHEL/CentOS, затем:

Код
sudo yum install -y make libX11.i686  libXau.i686 libXdmcp.i686 libXext.i686 libXft-devel.i686 libXft.i686 libXrender.i686 libXt.i686 libXtst.i686



--------------------
Блог iDoka.ru
CV linkedin.com/in/iDoka
Sources github.com/iDoka


Never stop thinking...........................
Go to the top of the page
 
+Quote Post
wolfman
сообщение May 3 2018, 19:47
Сообщение #3


Знающий
****

Группа: Свой
Сообщений: 520
Регистрация: 15-06-05
Из: Питер
Пользователь №: 6 032



Цитата(Fynjisx @ May 2 2018, 00:18) *
Привет Всем!
На виртуалке стоит Linux Mint. Хочу туда поставить Q17. В связи с этим появились вопросы:
- по какому пути лучше ставить? Может завести отдельный диск?
- есть ли какие-нибудь особые моменты при установке?

PS: в оф. документации отмечается Red Hat'подобный linux и для него:
window X libraries: make, libX11.i686, libXau.i686, libXdmcp.i686,
libXext.i686, libXft-devel.i686, libXft.i686, libXrender.i686, libXt.i686, and
libXtst.i686.
— GIMP toolkit: GTK+2.
А у меня Минт, мне то что делать?

В большинстве современных дистрибутивов эти библиотеки уже установлены. Вслучае чего всегда можно доустановить, но только лучше по названиям без расширений. Ибо расширения, могут различаться у разных дистрибутивов.

Цитата(Doka @ May 3 2018, 20:48) *
а Вам есть разница какой линукс, раз Вы на виртуалке???

я бы поставил RHEL/CentOS, затем:

Код
sudo yum install -y make libX11.i686  libXau.i686 libXdmcp.i686 libXext.i686 libXft-devel.i686 libXft.i686 libXrender.i686 libXt.i686 libXtst.i686

Смысл?

Всё это нормально работает и так. Я проверял на AltLinux, Минте, openSuse, Debian.


--------------------
Россия это даже не страна.
Россия это секрет, завернутый в загадку и укрытый не проницаемой тайной...
Go to the top of the page
 
+Quote Post
Doka
сообщение May 4 2018, 09:52
Сообщение #4


Electrical Engineer
******

Группа: СуперМодераторы
Сообщений: 2 131
Регистрация: 4-10-04
Пользователь №: 778



Цитата(wolfman @ May 3 2018, 22:47) *
Вслучае чего всегда можно доустановить, но только лучше по названиям без расширений. Ибо расширения, могут различаться у разных дистрибутивов.

то, что вы называете расширением - на самом деле архитектура,
и если в зависимостях указан пакет на i686, то именно он нужен тулу для запуска,
Причина редактирования: не вводите в заблуждение


--------------------
Блог iDoka.ru
CV linkedin.com/in/iDoka
Sources github.com/iDoka


Never stop thinking...........................
Go to the top of the page
 
+Quote Post
wolfman
сообщение May 4 2018, 17:18
Сообщение #5


Знающий
****

Группа: Свой
Сообщений: 520
Регистрация: 15-06-05
Из: Питер
Пользователь №: 6 032



Цитата(Doka @ May 4 2018, 19:22) *
то, что вы называете расширением - на самом деле архитектура,
и если в зависимостях указан пакет на i686, то именно он нужен тулу для запуска,

У SUSE, Alta, да и, помоему минта, есть 64-х разрядные пакеты x86_64 и 32-х разрядные i586.


--------------------
Россия это даже не страна.
Россия это секрет, завернутый в загадку и укрытый не проницаемой тайной...
Go to the top of the page
 
+Quote Post
Fynjisx
сообщение May 5 2018, 10:45
Сообщение #6


студент
****

Группа: Свой
Сообщений: 571
Регистрация: 3-07-08
Из: Russia
Пользователь №: 38 712



Цитата(Doka @ May 3 2018, 15:18) *
а Вам есть разница какой линукс, раз Вы на виртуалке???

Ну, вообщем да. Mint как-то попривычней.
Цитата(Doka @ May 3 2018, 15:18) *
я бы поставил RHEL/CentOS, затем:

Код
sudo yum install -y make libX11.i686  libXau.i686 libXdmcp.i686 libXext.i686 libXft-devel.i686 libXft.i686 libXrender.i686 libXt.i686 libXtst.i686

Да, я поставил CentOS. В нем запускается.

Цитата(wolfman @ May 3 2018, 23:47) *
Всё это нормально работает и так. Я проверял на AltLinux, Минте, openSuse, Debian.

Да чётто как-то...Понимаете на Mint поставил но некоторые виджеты не прорисовываются. К примеру границы кнопок диалоговых панелей, пиктограммочки раскрытия в дереве(вот куда надпись Fitter пропала?), в настройках когда встаешь на нужный параметр он исчезает (License Setup)/. Чего- то не хватает. Притом Минт 18.3.
Еще заметил такую фишку, когда что-то одно в системе начинает выполняться вся система становится неотзывчивой. В виртуалке 4 ядра поставил, памяти 4ГБ и вот результат -> Один поток на всю систему!. Или Linux шустрым становится, когда его без всяких виртуальных выкрутасов ставишь?
Эскизы прикрепленных изображений
Прикрепленное изображение
Прикрепленное изображение
Прикрепленное изображение
 


--------------------
С Уважением...
Go to the top of the page
 
+Quote Post
Kuzmi4
сообщение May 5 2018, 11:26
Сообщение #7


Гуру
******

Группа: Свой
Сообщений: 3 278
Регистрация: 13-02-07
Из: 55°55′5″ 37°52′16″
Пользователь №: 25 329



Цитата(Fynjisx @ May 5 2018, 13:45) *
...некоторые виджеты не прорисовываются...

у кваКтуса гуйовины через Qt прорисовываются, если запускаете его из консоли - посмотрите на то какие Err/Warn выдаёт, станет понятно что именно ему не нравится.
Go to the top of the page
 
+Quote Post
AVR
сообщение May 7 2018, 06:01
Сообщение #8


фанат Linux'а
*****

Группа: Свой
Сообщений: 1 254
Регистрация: 23-10-05
Из: SPB.RU
Пользователь №: 10 008



У меня на Ubuntu всё абсолютно без проблем. Может сменить стиль оформления системы? Настроить через Qt Config?
Подозреваю из-за попытки применить системный стиль что-то отъезжает.


--------------------
Go to the top of the page
 
+Quote Post
R6L-025
сообщение May 9 2018, 08:11
Сообщение #9


Участник
*

Группа: Свой
Сообщений: 73
Регистрация: 8-04-11
Из: Ростов-на-Дону
Пользователь №: 64 227



Стоит на нескольких машинах под Arch/Manjaro, везде все работает нормально, но есть неприятный глюк с хелпом - он не работает. Просто ничего не происходит при вызове хелпа через меню, или же при клацании по описанию варнинга. Никто не сталкивался?
Go to the top of the page
 
+Quote Post
Canis Dirus
сообщение May 9 2018, 08:19
Сообщение #10


Частый гость
**

Группа: Участник
Сообщений: 133
Регистрация: 7-01-09
Из: Нефтеюганск
Пользователь №: 42 967



Цитата(R6L-025 @ May 9 2018, 13:11) *
Стоит на нескольких машинах под Arch/Manjaro, везде все работает нормально, но есть неприятный глюк с хелпом - он не работает. Просто ничего не происходит при вызове хелпа через меню, или же при клацании по описанию варнинга. Никто не сталкивался?

Если при этом в консоли выскакивают сообщения про "GLIBCXX__$Version not found", то это из-за того, что квартус тащит с собой старую версию libstdc++. Лечится простым удалением квартусовской версии библиотеки.


--------------------
С уважением, Алексей Шапошников.
Go to the top of the page
 
+Quote Post
R6L-025
сообщение May 9 2018, 08:21
Сообщение #11


Участник
*

Группа: Свой
Сообщений: 73
Регистрация: 8-04-11
Из: Ростов-на-Дону
Пользователь №: 64 227



Спасибо, посмотрю внимательнее на вывод
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
2 чел. читают эту тему (гостей: 2, скрытых пользователей: 0)
Пользователей: 0

 


RSS Текстовая версия Сейчас: 26th May 2018 - 17:25
Рейтинг@Mail.ru


Страница сгенерированна за 0.01095 секунд с 7
ELECTRONIX ©2004-2016